# Class SpecialGroup

java.lang.Object
org.jmol.symmetry.SpaceGroup
org.jmol.symmetry.SpecialGroup

All Implemented Interfaces:
  `Cloneable, HallInfo.HallReceiver`

public abstract class SpecialGroup extends SpaceGroup

## Nested Class Summary

### Nested classes/interfaces inherited from class SpaceGroup

`SpaceGroup.ParamCheck`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Symmetry`
`embeddingSymmetry`
the space group and unit cell that this group relates to; may be null

### Fields inherited from class SpaceGroup

`displayName, groupType, isSSG, itaIndex, itaNo, itaNumber, nDim, NEW_NO_HALL_GROUP, periodicity, PREFIX_FRIEZE, PREFIX_LAYER, PREFIX_PLANE, PREFIX_ROD, PREFIX_SPACE, setNo, sfIndex, specialPrefix, symmetryOperations, TYPE_FRIEZE, TYPE_INVALID, TYPE_LAYER, TYPE_PLANE, TYPE_ROD, TYPE_SPACE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkCompatible(float[] params, float[] newParams, boolean allowSame, int monoclinic_oblique, int monoclinic_orthogonal, int orthorhombic, int tetragonal)`

### Methods inherited from class SpaceGroup

`addHallOperationCheckDuplicates, addMagLatticeVectors, addOp, addOperation, addSpinLattice, addSymmetry, asString, canonicalizeCleg, createCompatibleUnitCell, createSpaceGroup, determineSpaceGroupNA, determineSpaceGroupNS, dumpInfo, findSpaceGroupFromXYZ, getClegId, getDisplayName, getExplicitSpecialGroupType, getGroupTypePrefix, getHMName, getHMNameShort, getImplicitSpecialGroupType, getIndex, getItaIndex, getITNo, getMatrixOperation, getMatrixOperationCount, getMax, getNull, getSpecialGroupName, getSpecialPrefix, hmMatches, isHexagonalSG, isInRange, mapSpins, setClegId, setFinalOperations, setFinalOperationsSafely, setMatrixOperationCount, setSpinList, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### embeddingSymmetry

protected Symmetry embeddingSymmetry
the space group and unit cell that this group relates to; may be null

## Method Details

### checkCompatible

public boolean checkCompatible(float[] params, float[] newParams, boolean allowSame, int monoclinic_oblique, int monoclinic_orthogonal, int orthorhombic, int tetragonal)